Skip to main content
POST
fundingHistory

Authorizations

X-API-KEY
string
header
required

API key to access the API (Optional)

Query Parameters

chainId
enum<number>
default:999
required

Unique identifier for a blockchain network.

Available options:
999,
998
Example:

999

provider
enum<string>

Specify which provider to use. The project's provider priority list is used by default if no providers are selected. (Priority list can be managed on Uniblock's dashboard)

Available options:
Dwellir,
Chainstack,
Covalent

Body

application/json
type
enum<string>
default:fundingHistory
required
Available options:
fundingHistory
Example:

"fundingHistory"

coin
string
required

The asset symbol (e.g. BTC), or dex:SYMBOL for a builder DEX.

Example:

"BTC"

startTime
number
required

Inclusive start time, epoch milliseconds.

Example:

1704067200000

endTime
number

Optional exclusive end time, epoch milliseconds. Defaults to now.

Example:

1706745600000

Response

200 - application/json

Successful response.

coin
string
required
Example:

"BTC"

fundingRate
string
required
Example:

"0.0000617991"

premium
string
required
Example:

"0.0009943926"

time
number
required
Example:

1704067200151

Example: